Subject: Ticket Assigned - Order 9635386061
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 22 Feb 2021 02:01:45 +0000 (UTC)

Hi Yazid Abdullah,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order 9635386061 Hello,
Reference to the order in subject, all the items I received are wrong.

Please arrange the courier to collect the items ASAP and return the money.

Thanks

Ps: I spent 23mins at the telephone with your contact center and it’s the worst I have ever dealt with

Emiliano Durante

UAE: +971 502187693
Italy: +39 3935651500
Email: [email-masked]

Sent from iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2108540